<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/linearWrapper"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"
    android:orientation="vertical" >

    <RelativeLayout
        android:layout_width="220dp"
        android:layout_height="200dp"
        android:layout_gravity="center" >

        <ImageView
            android:id="@+id/compass"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerHorizontal="true"
            android:layout_centerVertical="true"
            android:src="@drawable/compass" />

        <TextView
            android:id="@+id/N"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_above="@+id/compass"
            android:layout_centerHorizontal="true"
            android:background="@drawable/custom_button_background"
            android:paddingLeft="24dp"
            android:paddingRight="24dp"
            android:paddingTop="24dp"
            android:text="N"
            android:textColor="@color/off_white"
            android:textSize="24sp" />

        <TextView
            android:id="@+id/NE"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_above="@+id/compass"
            android:layout_toRightOf="@+id/compass"
            android:background="@drawable/custom_button_background"
            android:paddingRight="24dp"
            android:paddingTop="24dp"
            android:text="NE"
            android:textColor="@color/off_white"
            android:textSize="24sp" />

        <TextView
            android:id="@+id/E"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_toRightOf="@+id/compass"
            android:background="@drawable/custom_button_background"
            android:paddingBottom="24dp"
            android:paddingLeft="8dp"
            android:paddingRight="24dp"
            android:paddingTop="24dp"
            android:text="E"
            android:textColor="@color/off_white"
            android:textSize="24sp" />

        <TextView
            android:id="@+id/NW"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_above="@+id/compass"
            android:layout_toLeftOf="@+id/compass"
            android:background="@drawable/custom_button_background"
            android:paddingLeft="24dp"
            android:paddingTop="24dp"
            android:text="NW"
            android:textColor="@color/off_white"
            android:textSize="24sp" />

        <TextView
            android:id="@+id/SE"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@+id/compass"
            android:layout_toRightOf="@+id/compass"
            android:background="@drawable/custom_button_background"
            android:paddingBottom="24dp"
            android:paddingRight="24dp"
            android:text="SE"
            android:textColor="@color/off_white"
            android:textSize="24sp" />

        <TextView
            android:id="@+id/SW"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@+id/compass"
            android:layout_toLeftOf="@+id/compass"
            android:background="@drawable/custom_button_background"
            android:paddingBottom="24dp"
            android:paddingLeft="24dp"
            android:text="SW"
            android:textColor="@color/off_white"
            android:textSize="24sp" />

        <TextView
            android:id="@+id/S"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@+id/compass"
            android:layout_centerHorizontal="true"
            android:background="@drawable/custom_button_background"
            android:paddingBottom="24dp"
            android:paddingLeft="24dp"
            android:paddingRight="24dp"
            android:text="S"
            android:textColor="@color/off_white"
            android:textSize="24sp" />

        <TextView
            android:id="@+id/W"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_toLeftOf="@+id/compass"
            android:background="@drawable/custom_button_background"
            android:paddingBottom="24dp"
            android:paddingLeft="24dp"
            android:paddingRight="8dp"
            android:paddingTop="24dp"
            android:text="W"
            android:textColor="@color/off_white"
            android:textSize="24sp" />
    </RelativeLayout>

</LinearLayout>